Skip to main content

List mobile authentication credentials

GET 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/mauths

Since: 2.77.0

Required permission(s): AccessControl.CredentialView or SelfAdmin Role

Returns all mobile authentication credentials belonging to the specified user.

Only generic credentials that have a valid fidouaf_signature_key property are included in the result. FIDO UAF credentials are not returned directly. The response can be filtered by extId, stateName, and created. Optionally, the name parameter can be used to filter by the device name stored in the fidouaf_name property.

In self-admin mode, the user can retrieve their own mobile authentication credentials.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Query Parameters

    allParams objectrequired

Responses

Mobile authentication credentials retrieved successfully

Schema
    items object[]
  • Array [
  • extId string

    The external ID of the mobile authentication credential.

    name string

    The display name of the mobile device associated with this credential.

    created string

    The date and time when the credential was created, in ISO 8601 format.

    stateName string

    Possible values: [active, disabled]

    The current state of the credential.

  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...